rpms/couchdb/EL-6 couchdb-0.10.2-fix-install-lib-location.diff, NONE, 1.1 couchdb.init, 1.4, 1.5 couchdb.spec, 1.8, 1.9 import.log, 1.7, 1.8

Peter Lemenkov peter at fedoraproject.org
Thu May 13 12:17:54 UTC 2010


Author: peter

Update of /cvs/pkgs/rpms/couchdb/EL-6
In directory cvs01.phx2.fedoraproject.org:/tmp/cvs-serv31664/EL-6

Modified Files:
	couchdb.init couchdb.spec import.log 
Added Files:
	couchdb-0.10.2-fix-install-lib-location.diff 
Log Message:
Fixed rhbz #583004

couchdb-0.10.2-fix-install-lib-location.diff:
 configure |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

--- NEW FILE couchdb-0.10.2-fix-install-lib-location.diff ---
--- configure	2010-04-11 17:54:12.000000000 +0400
+++ configure	2010-05-13 14:19:23.993505445 +0400
@@ -12069,7 +12069,7 @@
 
 localdocdir=${datadir}/doc/${package_identifier}
 
-locallibdir=${libdir}/${package_identifier}
+locallibdir=${libdir}
 
 localstatelibdir=${localstatedir}/lib/${package_identifier}
 
@@ -12085,7 +12085,7 @@
     localerlanglibdir=${libdir}
 
 else
-    locallibbindir=${locallibdir}/bin
+    locallibbindir=${locallibdir}/erlang/lib/couch-${version}/priv
 
     localerlanglibdir=${locallibdir}/erlang/lib
 


Index: couchdb.init
===================================================================
RCS file: /cvs/pkgs/rpms/couchdb/EL-6/couchdb.init,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -p -r1.4 -r1.5
--- couchdb.init	7 May 2010 13:53:19 -0000	1.4
+++ couchdb.init	13 May 2010 12:17:54 -0000	1.5
@@ -27,15 +27,29 @@ exec="/usr/bin/couchdb"
 prog="couchdb"
 config="/etc/sysconfig/couchdb"
 
+# default values
+COUCHDB_USER=couchdb
+COUCHDB_STDOUT_FILE=/dev/null
+COUCHDB_STDERR_FILE=/dev/null
+COUCHDB_RESPAWN_TIMEOUT=0
+COUCHDB_OPTIONS=
+
 [ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
 
+pidfile=/var/run/couchdb/couchdb.pid
 lockfile=/var/lock/subsys/couchdb
 
 start() {
     [ -x $exec ] || exit 5
     [ -f $config ] || exit 6
     echo -n $"Starting $prog: "
-    daemon --user couchdb "$exec -b"
+    rh_status_q && echo -n "already running" && warning && echo && exit 0
+    daemon --user $COUCHDB_USER "$exec \
+	-r $COUCHDB_RESPAWN_TIMEOUT \
+	-o $COUCHDB_STDOUT_FILE \
+	-e $COUCHDB_STDERR_FILE \
+	-p $pidfile \
+	$COUCHDB_OPTIONS -b >/dev/null"
     retval=$?
     echo
     [ $retval -eq 0 ] && touch $lockfile
@@ -44,6 +58,9 @@ start() {
 
 stop() {
     echo -n $"Stopping $prog: "
+    if ! rh_status_q ; then
+	echo -n "already stopped" && warning && echo && exit 0
+    fi
     daemon --user couchdb "$exec -d"
     retval=$?
     echo
@@ -76,11 +93,9 @@ rh_status_q() {
 
 case "$1" in
     start)
-        rh_status_q && exit 0
         $1
         ;;
     stop)
-        rh_status_q || exit 0
         $1
         ;;
     restart)


Index: couchdb.spec
===================================================================
RCS file: /cvs/pkgs/rpms/couchdb/EL-6/couchdb.spec,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -p -r1.8 -r1.9
--- couchdb.spec	7 May 2010 13:53:19 -0000	1.8
+++ couchdb.spec	13 May 2010 12:17:54 -0000	1.9
@@ -5,7 +5,7 @@
 
 Name:           couchdb
 Version:        0.10.2
-Release:        1%{?dist}
+Release:        3%{?dist}
 Summary:        A document database server, accessible via a RESTful JSON API
 
 Group:          Applications/Databases
@@ -14,6 +14,7 @@ URL:            http://couchdb.apache.or
 Source0:        http://www.apache.org/dist/%{name}/%{version}/%{tarname}-%{version}.tar.gz
 Source1:        %{name}.init
 Patch0:         %{name}-0.10.0-initenabled.patch
+Patch1:         %{name}-0.10.2-fix-install-lib-location.diff
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  erlang
@@ -21,8 +22,6 @@ BuildRequires:  libicu-devel
 BuildRequires:  js-devel
 BuildRequires:  help2man
 BuildRequires:  curl-devel
-BuildRequires:	autoconf
-BuildRequires:	libtool
 
 Requires:       erlang
 # For %{_bindir}/icu-config
@@ -37,21 +36,19 @@ Requires(pre): shadow-utils
 
 
 %description
-Apache CouchDB is a distributed, fault-tolerant and schema-free 
-document-oriented database accessible via a RESTful HTTP/JSON API. 
-Among other features, it provides robust, incremental replication 
-with bi-directional conflict detection and resolution, and is 
-queryable and indexable using a table-oriented view engine with 
+Apache CouchDB is a distributed, fault-tolerant and schema-free
+document-oriented database accessible via a RESTful HTTP/JSON API.
+Among other features, it provides robust, incremental replication
+with bi-directional conflict detection and resolution, and is
+queryable and indexable using a table-oriented view engine with
 JavaScript acting as the default view definition language.
 
 %prep
 %setup -q -n %{tarname}-%{version}
 %patch0 -p1 -b .initenabled
-touch -r configure.ac.* configure.ac
-# Patch pid location
-#sed -i 's/%localstatedir%\/run\/couchdb.pid/%localstatedir%\/run\/couchdb\/couchdb.pid/g' \
-#bin/couchdb.tpl.in
-
+%patch1 -p0 -b .fix_lib_path
+touch -r configure.ac.initenabled configure.ac
+touch -r configure.fix_lib_path configure
 
 
 %build
@@ -94,6 +91,8 @@ rm -rf  $RPM_BUILD_ROOT%{_datadir}/doc/c
 # clean-up .la archives
 find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
 
+# fix respawn timeout to match default value
+sed -i s,^COUCHDB_RESPAWN_TIMEOUT=5,COUCHDB_RESPAWN_TIMEOUT=0,g $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/couchdb
 
 %clean
 rm -rf $RPM_BUILD_ROOT
@@ -134,7 +133,7 @@ fi
 %config(noreplace) %{_sysconfdir}/logrotate.d/couchdb
 %{_initrddir}/couchdb
 %{_bindir}/*
-%{_libdir}/couchdb
+%{_libdir}/erlang/lib/*
 %{_datadir}/couchdb
 %{_mandir}/man1/*
 %dir %attr(0755, %{couchdb_user}, root) %{_localstatedir}/log/couchdb
@@ -142,6 +141,13 @@ fi
 %dir %attr(0755, %{couchdb_user}, root) %{_localstatedir}/lib/couchdb
 
 %changelog
+* Thu May 13 2010 Peter Lemenkov <lemenkov at gmail.com> 0.10.2-3
+- Fixed init-script to use /etc/sysconfig/couchdb values (see rhbz #583004)
+- Fixed installation location of beam-files (moved to erlang directory)
+
+* Fri May  7 2010 Peter Lemenkov <lemenkov at gmail.com> 0.10.2-2
+- Remove useless BuildRequires
+
 * Fri May  7 2010 Peter Lemenkov <lemenkov at gmail.com> 0.10.2-1
 - Update to 0.10.2 (resolves rhbz #578580 and #572176)
 - Fixed chkconfig priority (see rhbz #579568)


Index: import.log
===================================================================
RCS file: /cvs/pkgs/rpms/couchdb/EL-6/import.log,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -p -r1.7 -r1.8
--- import.log	7 May 2010 13:53:19 -0000	1.7
+++ import.log	13 May 2010 12:17:54 -0000	1.8
@@ -5,3 +5,4 @@ couchdb-0_9_1-1_fc11:HEAD:couchdb-0.9.1-
 couchdb-0_10_0-1_fc11:F-12:couchdb-0.10.0-1.fc11.src.rpm:1255646422
 couchdb-0_10_0-2_fc11:F-12:couchdb-0.10.0-2.fc11.src.rpm:1255652085
 couchdb-0_10_2-1_fc12:F-12:couchdb-0.10.2-1.fc12.src.rpm:1273240260
+couchdb-0_10_2-3_fc12:EL-6:couchdb-0.10.2-3.fc12.src.rpm:1273753010



More information about the scm-commits mailing list